window.Gleam.initSearch([{"doc":"gwr","title":"gwr","content":"# GWR - Gleam WebAssembly Runtime\n\n[![Package Version](https://img.shields.io/hexpm/v/gwr)](https://hex.pm/packages/gwr)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gwr/)\n[![Package License](https://img.shields.io/hexpm/l/gwr)](https://hex.pm/packages/gwr)\n[![Package Total Downloads Count](https://img.shields.io/hexpm/dt/gwr)](https://hex.pm/packages/gwr)\n[![Build Status](https://img.shields.io/github/actions/workflow/status/BrendoCosta/gwr/test.yml)](https://hex.pm/packages/gwr)\n[![Total Stars Count](https://img.shields.io/github/stars/BrendoCosta/gwr)](https://hex.pm/packages/gwr)\n\n## Description\n\nAn experimental work-in-progress (WIP) WebAssembly runtime written in Gleam.\n\n## Usage\n\nTODO.\n\n## License\n\nGWR source code is avaliable under the [MIT license](/LICENSE).","url":"index.html"},{"doc":"module","title":"Module","content":"pub type Module {\n  Module(version: Int)\n}\n\nModule(version: Int)\n\n\nSynonyms:\nmodule.Module\nmodule Module","url":"module.html#Module"},{"doc":"module","title":"from_raw_data","content":"pub fn from_raw_data(\n  raw_data: BitArray,\n) -&gt; Result(Module, String)\n\nSynonyms:\nmodule.from_raw_data\nmodule from_raw_data","url":"module.html#from_raw_data"},{"doc":"module","title":"get_module_version","content":"pub fn get_module_version(\n  raw_data: BitArray,\n) -&gt; Result(Int, String)\n\nSynonyms:\nmodule.get_module_version\nmodule get_module_version","url":"module.html#get_module_version"},{"doc":"module","title":"try_detect_signature","content":"pub fn try_detect_signature(raw_data: BitArray) -&gt; Bool\n\nSynonyms:\nmodule.try_detect_signature\nmodule try_detect_signature","url":"module.html#try_detect_signature"},{"doc":"module","title":"module","content":"","url":"module.html"},{"doc":"util","title":"decode_u32leb128","content":"pub fn decode_u32leb128(\n  at position: Int,\n  from data: BitArray,\n) -&gt; Result(#(Int, Int), String)\n\nSynonyms:\nutil.decode_u32leb128\nutil decode_u32leb128","url":"util.html#decode_u32leb128"},{"doc":"util","title":"util","content":"","url":"util.html"},{"doc":"types/vector","title":"Vector","content":"pub type Vector {\n  Vector(length: Int, data: BitArray)\n}\n\nVector(length: Int, data: BitArray)\n\n\nSynonyms:\ntypes/vector.Vector\ntypes/vector Vector","url":"types/vector.html#Vector"},{"doc":"types/vector","title":"from_raw_data","content":"pub fn from_raw_data(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(Vector, String)\n\nSynonyms:\ntypes/vector.from_raw_data\ntypes/vector from_raw_data","url":"types/vector.html#from_raw_data"},{"doc":"types/vector","title":"types/vector","content":"","url":"types/vector.html"},{"doc":"types/limits","title":"Limits","content":"pub type Limits {\n  Limits(min: Int, max: Option(Int))\n}\n\nLimits(min: Int, max: Option(Int))\n\n\nSynonyms:\ntypes/limits.Limits\ntypes/limits Limits","url":"types/limits.html#Limits"},{"doc":"types/limits","title":"do_from_vector","content":"pub fn do_from_vector(\n  at position_accumulator: Int,\n  from vec: Vector,\n  to result_accumulator: List(Limits),\n) -&gt; Result(#(List(Limits), Int), String)\n\nSynonyms:\ntypes/limits.do_from_vector\ntypes/limits do_from_vector","url":"types/limits.html#do_from_vector"},{"doc":"types/limits","title":"from_raw_data","content":"pub fn from_raw_data(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(#(Limits, Int), String)\n\nSynonyms:\ntypes/limits.from_raw_data\ntypes/limits from_raw_data","url":"types/limits.html#from_raw_data"},{"doc":"types/limits","title":"from_vector","content":"pub fn from_vector(\n  from vec: Vector,\n) -&gt; Result(#(List(Limits), Int), String)\n\nSynonyms:\ntypes/limits.from_vector\ntypes/limits from_vector","url":"types/limits.html#from_vector"},{"doc":"types/limits","title":"types/limits","content":"","url":"types/limits.html"},{"doc":"types/name","title":"Name","content":"pub type Name {\n  Name(vector: vector.Vector)\n}\n\nName(vector: vector.Vector)\n\n\nSynonyms:\ntypes/name.Name\ntypes/name Name","url":"types/name.html#Name"},{"doc":"types/name","title":"from_raw_data","content":"pub fn from_raw_data(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(Name, String)\n\nSynonyms:\ntypes/name.from_raw_data\ntypes/name from_raw_data","url":"types/name.html#from_raw_data"},{"doc":"types/name","title":"length","content":"pub fn length(of name: Name) -&gt; Int\n\nSynonyms:\ntypes/name.length\ntypes/name length","url":"types/name.html#length"},{"doc":"types/name","title":"to_string","content":"pub fn to_string(name: Name) -&gt; Result(String, String)\n\nSynonyms:\ntypes/name.to_string\ntypes/name to_string","url":"types/name.html#to_string"},{"doc":"types/name","title":"types/name","content":"","url":"types/name.html"},{"doc":"section","title":"RawSection","content":"pub type RawSection {\n  RawSection(\n    type_id: Int,\n    length: Int,\n    content: Option(BitArray),\n  )\n}\n\nRawSection(type_id: Int, length: Int, content: Option(BitArray))\n\n\nSynonyms:\nsection.RawSection\nsection RawSection","url":"section.html#RawSection"},{"doc":"section","title":"Section","content":"pub type Section {\n  Custom(length: Int, name: String, data: Option(BitArray))\n  Type(length: Int)\n  Import(length: Int)\n  Function(length: Int)\n  Table(length: Int)\n  Memory(length: Int, memories: List(Limits))\n  Global(length: Int)\n  Export(length: Int)\n  Start(length: Int)\n  Element(length: Int)\n  Code(length: Int)\n  Data(length: Int)\n  DataCount(length: Int)\n}\n\nCustom(length: Int, name: String, data: Option(BitArray))\n\n\nType(length: Int)\n\n\nImport(length: Int)\n\n\nFunction(length: Int)\n\n\nTable(length: Int)\n\n\nMemory(length: Int, memories: List(Limits))\n\n\nGlobal(length: Int)\n\n\nExport(length: Int)\n\n\nStart(length: Int)\n\n\nElement(length: Int)\n\n\nCode(length: Int)\n\n\nData(length: Int)\n\n\nDataCount(length: Int)\n\n\nSynonyms:\nsection.Section\nsection Section","url":"section.html#Section"},{"doc":"section","title":"code_section_id","content":"pub const code_section_id: Int\n\nSynonyms:\nsection.code_section_id\nsection code_section_id","url":"section.html#code_section_id"},{"doc":"section","title":"custom_section_id","content":"pub const custom_section_id: Int\n\nSynonyms:\nsection.custom_section_id\nsection custom_section_id","url":"section.html#custom_section_id"},{"doc":"section","title":"data_count_section_id","content":"pub const data_count_section_id: Int\n\nSynonyms:\nsection.data_count_section_id\nsection data_count_section_id","url":"section.html#data_count_section_id"},{"doc":"section","title":"data_section_id","content":"pub const data_section_id: Int\n\nSynonyms:\nsection.data_section_id\nsection data_section_id","url":"section.html#data_section_id"},{"doc":"section","title":"element_section_id","content":"pub const element_section_id: Int\n\nSynonyms:\nsection.element_section_id\nsection element_section_id","url":"section.html#element_section_id"},{"doc":"section","title":"export_section_id","content":"pub const export_section_id: Int\n\nSynonyms:\nsection.export_section_id\nsection export_section_id","url":"section.html#export_section_id"},{"doc":"section","title":"function_section_id","content":"pub const function_section_id: Int\n\nSynonyms:\nsection.function_section_id\nsection function_section_id","url":"section.html#function_section_id"},{"doc":"section","title":"global_section_id","content":"pub const global_section_id: Int\n\nSynonyms:\nsection.global_section_id\nsection global_section_id","url":"section.html#global_section_id"},{"doc":"section","title":"import_section_id","content":"pub const import_section_id: Int\n\nSynonyms:\nsection.import_section_id\nsection import_section_id","url":"section.html#import_section_id"},{"doc":"section","title":"memory_section_id","content":"pub const memory_section_id: Int\n\nSynonyms:\nsection.memory_section_id\nsection memory_section_id","url":"section.html#memory_section_id"},{"doc":"section","title":"start_section_id","content":"pub const start_section_id: Int\n\nSynonyms:\nsection.start_section_id\nsection start_section_id","url":"section.html#start_section_id"},{"doc":"section","title":"table_section_id","content":"pub const table_section_id: Int\n\nSynonyms:\nsection.table_section_id\nsection table_section_id","url":"section.html#table_section_id"},{"doc":"section","title":"type_section_id","content":"pub const type_section_id: Int\n\nSynonyms:\nsection.type_section_id\nsection type_section_id","url":"section.html#type_section_id"},{"doc":"section","title":"decode_custom_section","content":"pub fn decode_custom_section(\n  raw_section: RawSection,\n) -&gt; Result(Section, String)\n\nSynonyms:\nsection.decode_custom_section\nsection decode_custom_section","url":"section.html#decode_custom_section"},{"doc":"section","title":"decode_memory_section","content":"pub fn decode_memory_section(\n  raw_section: RawSection,\n) -&gt; Result(Section, String)\n\nSynonyms:\nsection.decode_memory_section\nsection decode_memory_section","url":"section.html#decode_memory_section"},{"doc":"section","title":"decode_section","content":"pub fn decode_section(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(Section, String)\n\nSynonyms:\nsection.decode_section\nsection decode_section","url":"section.html#decode_section"},{"doc":"section","title":"from_raw_data","content":"pub fn from_raw_data(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(Section, String)\n\nSynonyms:\nsection.from_raw_data\nsection from_raw_data","url":"section.html#from_raw_data"},{"doc":"section","title":"parse_raw_section","content":"pub fn parse_raw_section(\n  at position: Int,\n  from raw_data: BitArray,\n) -&gt; Result(RawSection, String)\n\nSynonyms:\nsection.parse_raw_section\nsection parse_raw_section","url":"section.html#parse_raw_section"},{"doc":"section","title":"section","content":"","url":"section.html"}]);